from django.contrib import admin
from article.models import Article


class ArticleAdmin(admin.ModelAdmin):
    list_display = ['id', 'title', 'author', 'created_at']
    list_filter = ['author',]
    search_fields = ['title', 'content',]
    fields = ['title', 'content', 'author', 'created_at', 'updated_at']
    readonly_fields = ['created_at', 'updated_at']

admin.site.register(Article, ArticleAdmin)

